KDE 4.7 PyKDE API Reference

- KDE's Python API

# CSSException Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

This exception is raised when a specific CSS operation is impossible to perform.

## Enumerations
ExceptionCode | { SYNTAX_ERR, INVALID_MODIFICATION_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }
## Attributes
int | code
## Methods
| __init__ (self, int _code)
| __init__ (self, DOM.CSSException other)
DOM.DOMString | codeAsString (self)
## Static Methods
DOM.DOMString | codeAsString (int cssCode)
bool | isCSSExceptionCode (int exceptioncode)

## Method Documentation

__init__ | ( | self, |
|  | int | _code
| ) |  |  |

__init__ | ( | self, |
|  | DOM.CSSException | other
| ) |  |  |

DOM.DOMString codeAsString | ( |  | self ) |

## Static Method Documentation

DOM.DOMString codeAsString | ( | int | cssCode
| ) |  |  |

bool isCSSExceptionCode | ( | int | exceptioncode
| ) |  |  |

Internal:
  - checks to see whether internal code is a CSS one

## Attribute Documentation

int code

## Enumeration Documentation

ExceptionCode

An integer indicating the type of error generated.

Enumerator:

  INDEX_SIZE_ERR = 1 |
  DOMSTRING_SIZE_ERR = 2 |
  HIERARCHY_REQUEST_ERR = 3 |
  WRONG_DOCUMENT_ERR = 4 |
  INVALID_CHARACTER_ERR = 5 |
  NO_DATA_ALLOWED_ERR = 6 |
  NO_MODIFICATION_ALLOWED_ERR = 7 |
  NOT_FOUND_ERR = 8 |
  NOT_SUPPORTED_ERR = 9 |
  INUSE_ATTRIBUTE_ERR = 10 |
  INVALID_STATE_ERR = 11 |
  SYNTAX_ERR = 12 |
  INVALID_MODIFICATION_ERR = 13 |
  NAMESPACE_ERR = 14 |
  INVALID_ACCESS_ERR = 15 |
  VALIDATION_ERR = 16 |
  TYPE_MISMATCH_ERR = 17 |
  SECURITY_ERR = 18 |
  NETWORK_ERR = 19 |
  ABORT_ERR = 20 |
  URL_MISMATCH_ERR = 21 |
  QUOTA_EXCEEDED_ERR = 22 |
  TIMEOUT_ERR = 23 |
  NOT_READABLE_ERR = 24 |
  DATA_CLONE_ERR = 25 |
  ENCODING_ERR = 26 |